customer_portal
Delete Customer Payment Method
Delete a payment method from the authenticated customer.
DELETE
/
v1
/
customer-portal
/
customers
/
me
/
payment-methods
/
{id}
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
ourpay.customer_portal.customers.delete_payment_method(
'00000000-0000-4000-8000-000000000000',
)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
await ourpay.customerPortal.customers.deletePaymentMethod(
"00000000-0000-4000-8000-000000000000",
);
curl --request DELETE \
--url https://api.ourpay.dev/v1/customer-portal/customers/me/payment-methods/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ourpay.dev/v1/customer-portal/customers/me/payment-methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "PaymentMethodInUseByActiveSubscription",
"detail": "<string>"
}{
"error": "ResourceNotFound",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
customer_sessionmember_session
Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.
Path Parameters
Response
Payment method deleted.
⌘I
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
ourpay.customer_portal.customers.delete_payment_method(
'00000000-0000-4000-8000-000000000000',
)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
await ourpay.customerPortal.customers.deletePaymentMethod(
"00000000-0000-4000-8000-000000000000",
);
